from espeakng import ESpeakNG
import Adafruit_DHT
from time import sleep
from num2words import num2words

sensor = Adafruit_DHT.DHT11
pin = '4'

esng=ESpeakNG(voice='en')
esng.pitch = 25
esng.speed = 180
esng.say

while True:
    humidity, temperature = Adafruit_DHT.read_retry(sensor, pin)
    print('Temp = {0:0.0f} °C - Humidity = {1:0.0f} %'.format(temperature, humidity))
    esng.say("room temperature is",sync=True)
    count = num2words(temperature)
    esng.say(count,sync=True)
    esng.say(" degrees centigrade",sync=True)
    
    esng.say("humidity is",sync=True)
    count = num2words(humidity)
    esng.say(count,sync=True)
    esng.say(" %", sync=True)
    sleep(5)