import Adafruit_DHT as DHT
from time import sleep

Sensor = 11   # for DHT11
humiturePin = 4

while True:
    humidity, temperature = DHT.read_retry(Sensor, humiturePin)
    if humidity is not None and temperature is not None:
        print ('Temp = {0:0.1f} C  Humidity = {1:0.1f} %'.format(temperature, humidity))
    else:
        print ('Failed to get reading. Try again!')
    sleep(3)


